# Tenants

the tenants API

## Get a tenant by ID

 - [GET /v1/domains/{domainId}/omnibus/{omnibusId}/tenants/{tenantId}](https://docs.ripple.com/products/custody/reference/api/openapi/tenants/gettenant.md)

## Update a tenant

 - [PUT /v1/domains/{domainId}/omnibus/{omnibusId}/tenants/{tenantId}](https://docs.ripple.com/products/custody/reference/api/openapi/tenants/updatetenant.md)

## List all tenants within an omnibus structure

 - [GET /v1/domains/{domainId}/omnibus/{omnibusId}/tenants](https://docs.ripple.com/products/custody/reference/api/openapi/tenants/listtenants.md)

## Create a new tenant within an omnibus structure

 - [POST /v1/domains/{domainId}/omnibus/{omnibusId}/tenants](https://docs.ripple.com/products/custody/reference/api/openapi/tenants/createtenant.md)

## Unlock a tenant

 - [POST /v1/domains/{domainId}/omnibus/{omnibusId}/tenants/{tenantId}/unlock](https://docs.ripple.com/products/custody/reference/api/openapi/tenants/unlocktenant.md)

## Lock a tenant

 - [POST /v1/domains/{domainId}/omnibus/{omnibusId}/tenants/{tenantId}/lock](https://docs.ripple.com/products/custody/reference/api/openapi/tenants/locktenant.md)

